﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Taschenrechner.states;

namespace Taschenrechner.operators
{
    class BitwiseNegationOperator : IOperator
    {
        #region IOperator Members

        public void Execute(Context context)
        {
            Stack stack = context.stack;
            long arg = stack.PopAsLong();

            stack.Push(~arg);
        }

        #endregion
    }
}
