﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Taschenrechner.states;

namespace Taschenrechner.operators
{
    class EqualsOperator : IOperator
    {
        #region IOperator Members

        public void Execute(Context context)
        {
            Stack stack = context.stack;
            string exp1 = stack.Pop();
            string exp2 = stack.Pop();

            if (exp1 == exp2)
            {
                stack.Push(Constants.TRUE);
            }
            else
            {
                stack.Push(Constants.FALSE);
            }
        }

        #endregion
    }
}
