﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Taschenrechner.states;

namespace Taschenrechner.operators
{
    class ModOperator : IOperator
    {
        #region IOperator Members

        public void Execute(Context context)
        {
            Stack stack = context.stack;
            long arg2 = stack.PopAsLong();
            long arg1 = stack.PopAsLong();

            stack.Push((arg1 % arg2) * Math.Sign(arg2));
        }

        #endregion
    }
}
