﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Taschenrechner.states;

namespace Taschenrechner.operators
{
    class SmallerOperator : IOperator
    {
        #region IOperator Members

        public void Execute(Context context)
        {
            Stack stack = context.stack;
            long exp2 = stack.PopAsLong();
            long exp1 = stack.PopAsLong();

            if (exp1 < exp2)
            {
                stack.Push(Constants.TRUE);
            }
            else
            {
                stack.Push(Constants.FALSE);
            }
        }

        #endregion
    }
}
