﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Taschenrechner.operators
{
    class WriteStackOperator :IOperator
    {
        #region IOperator Members

        public void Execute(Taschenrechner.states.Context context)
        {
            Stack stack = context.stack;
            long regNr = stack.PopAsLong();
            string regData = stack.Pop();
            stack.Push(regData); // muss am stack bleiben
            context.register[regNr] = regData;
        }

        #endregion
    }
}
