﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Taschenrechner.states
{
    interface IState
    {
        void HandleNumber(Context context, char number);

        void HandleDelimiter(Context context);

        void HandleQuote(Context context);

        void HandleOperator(Context context, char op);

        string GetCode();
    }
}
