﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Taschenrechner.states;

namespace Taschenrechner.operators
{
    class PlusOperator : IOperator
    {
        public void Execute(Context context)
        {
            Stack stack = context.stack;
            long arg1 = stack.PopAsLong();
            long arg2 = stack.PopAsLong();

            stack.Push(arg1 + arg2);
        }
    }
}
