﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Taschenrechner.states;

namespace Taschenrechner.operators
{
    class ReadStackOperator : IOperator
    {
        #region IOperator Members

        public void Execute(Context context)
        {
            Stack stack = context.stack;
            long regNr = stack.PopAsLong();
            stack.Push(context.register[regNr]);
        }

        #endregion
    }
}
